Loading...
Searching...
No Matches
starpu.h File Reference
`#include <stdlib.h>`
`#include <stdint.h>`
`#include <starpu_config.h>`
`#include <windows.h>`
`#include <starpu_opencl.h>`
`#include <starpu_thread.h>`
`#include <starpu_thread_util.h>`
`#include <starpu_util.h>`
`#include <starpu_data.h>`
`#include <starpu_helper.h>`
`#include <starpu_disk.h>`
`#include <starpu_data_interfaces.h>`
`#include <starpu_data_filters.h>`
`#include <starpu_stdlib.h>`
`#include <starpu_task_bundle.h>`
`#include <starpu_task_dep.h>`
`#include <starpu_task.h>`
`#include <starpu_worker.h>`
`#include <starpu_perfmodel.h>`
`#include <starpu_task_list.h>`
`#include <starpu_task_util.h>`
`#include <starpu_scheduler.h>`
`#include <starpu_sched_ctx.h>`
`#include <starpu_expert.h>`
`#include <starpu_rand.h>`
`#include <starpu_cuda.h>`
`#include <starpu_hip.h>`
`#include <starpu_hipblas.h>`
`#include <starpu_cublas.h>`
`#include <starpu_cusparse.h>`
`#include <starpu_bound.h>`
`#include <starpu_hash.h>`
`#include <starpu_profiling.h>`
`#include <starpu_profiling_tool.h>`
`#include <starpu_fxt.h>`
`#include <starpu_driver.h>`
`#include <starpu_tree.h>`
`#include <starpu_openmp.h>`
`#include <starpu_simgrid_wrap.h>`
`#include <starpu_bitmap.h>`
`#include <starpu_parallel_worker.h>`
`#include <starpu_perf_monitoring.h>`
`#include <starpu_perf_steering.h>`
`#include <starpu_max_fpga.h>`
`#include "starpu_deprecated_api.h"`

Go to the source code of this file.

## Data Structures

struct | starpu_conf

## Macros

#define | STARPU_THREAD_ACTIVE

## Functions

int | starpu_conf_init (struct starpu_conf *conf)
int | starpu_conf_noworker (struct starpu_conf *conf)
int | starpu_init (struct starpu_conf *conf)
int | starpu_initialize (struct starpu_conf *user_conf, int *argc, char ***argv)
int | starpu_is_initialized (void)
void | starpu_wait_initialized (void)
void | starpu_shutdown (void)
void | starpu_pause (void)
void | starpu_resume (void)
int | starpu_is_paused (void)
unsigned | starpu_get_next_bindid (unsigned flags, unsigned *preferred, unsigned npreferred)
int | starpu_bind_thread_on (int cpuid, unsigned flags, const char *name)
void | starpu_bind_thread_on_worker (unsigned workerid)
void | starpu_bind_thread_on_main (void)
void | starpu_bind_thread_on_cpu (int cpuid)
int | starpu_cpu_os_index (int cpuid)
void | starpu_topology_print (FILE *f)
int | starpu_asynchronous_copy_disabled (void)
int | starpu_asynchronous_cuda_copy_disabled (void)
int | starpu_asynchronous_hip_copy_disabled (void)
int | starpu_asynchronous_opencl_copy_disabled (void)
int | starpu_asynchronous_max_fpga_copy_disabled (void)
int | starpu_asynchronous_mpi_ms_copy_disabled (void)
int | starpu_asynchronous_tcpip_ms_copy_disabled (void)
int | starpu_asynchronous_copy_disabled_for (enum starpu_node_kind kind)
int | starpu_map_enabled (void)
void | starpu_display_stats (void)
void | starpu_get_version (int *major, int *minor, int *release)